*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial, Helvetica, sans-serif;
}

body{
    background:#0f172a;
    display:flex;
    justify-content:center;
    align-items:center;
    height:100vh;
}

.contenedor{
    width:420px;
    background:#ffffff;
    padding:35px;
    border-radius:12px;
    text-align:center;
    box-shadow:0 0 20px rgba(0,0,0,.35);
}

h1{
    color:#0f172a;
    margin-bottom:10px;
}

.subtitulo{
    color:#555;
    margin-bottom:25px;
}

.login{
    display:flex;
    flex-direction:column;
    gap:15px;
}

input{
    padding:12px;
    font-size:16px;
    border:1px solid #ccc;
    border-radius:6px;
}

button{
    padding:12px;
    background:#2563eb;
    color:#fff;
    border:none;
    border-radius:6px;
    cursor:pointer;
    font-size:16px;
    font-weight:bold;
}

button:hover{
    background:#1d4ed8;
}

#mensaje{
    margin-top:20px;
    color:red;
    font-weight:bold;
}